FLANG

Public Member Functions | Static Public Member Functions | List of all members
Fortran::runtime::Terminator Class Reference
Inheritance diagram for Fortran::runtime::Terminator:

## Public Member Functions
| Terminator (const Terminator &)=default
| Terminator (const char *sourceFileName, int sourceLine=0)
void | SetLocation (const char *sourceFileName=nullptr, int sourceLine=0)
void | Crash (const char *message,...) const
void | CrashArgs (const char *message, va_list &) const
void | CheckFailed (const char *predicate, const char *file, int line) const

## Static Public Member Functions
static void | RegisterCrashHandler (void(*)(const char *sourceFile, int sourceLine, const char *message, va_list &ap))

The documentation for this class was generated from the following files:

- runtime/terminator.h
- runtime/terminator.cpp